GrailsLayoutDecoratorMapper (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.web.sitemesh

## [Java] Class GrailsLayoutDecoratorMapper

- org.grails.web.sitemesh.GrailsLayoutDecoratorMapper

- Implements the SiteMesh decorator mapper interface and allows grails views to map to grails layouts.

  Authors:
    Graeme Rocher
    Lari Hotari

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `LAYOUT_ATTRIBUTE` |
    `static java.lang.String` | `NONE_LAYOUT` |
    `static java.lang.String` | `RENDERING_VIEW` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `com.opensymphony.module.sitemesh.Decorator` | `getDecorator(javax.servlet.http.HttpServletRequest request, com.opensymphony.module.sitemesh.Page page)`
    `com.opensymphony.module.sitemesh.Decorator` | `getNamedDecorator(javax.servlet.http.HttpServletRequest request, java.lang.String name)`
    `void` | `init(com.opensymphony.module.sitemesh.Config c, java.util.Properties properties, com.opensymphony.module.sitemesh.DecoratorMapper parentMapper)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper` | `com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper#getDecorator(javax.servlet.http.HttpServletRequest, com.opensymphony.module.sitemesh.Page), com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper#getNamedDecorator(javax.servlet.http.HttpServletRequest, java.lang.String), com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper#init(com.opensymphony.module.sitemesh.Config, java.util.Properties, com.opensymphony.module.sitemesh.DecoratorMapper), com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper#wait(long, int), com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper#wait(long), com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper#wait(), com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper#equals(java.lang.Object), com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper#toString(), com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper#hashCode(), com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper#getClass(), com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper#notify(), com.opensymphony.module.sitemesh.mapper.AbstractDecoratorMapper#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String LAYOUT_ATTRIBUTE

    - #### public static final java.lang.String NONE_LAYOUT

    - #### public static final java.lang.String RENDERING_VIEW

  - ### Method Detail

    - #### @java.lang.Override public com.opensymphony.module.sitemesh.Decorator getDecorator(javax.servlet.http.HttpServletRequest request, com.opensymphony.module.sitemesh.Page page)

    - #### @java.lang.Override public com.opensymphony.module.sitemesh.Decorator getNamedDecorator(javax.servlet.http.HttpServletRequest request, java.lang.String name)

    - #### @java.lang.Override public void init(com.opensymphony.module.sitemesh.Config c, java.util.Properties properties, com.opensymphony.module.sitemesh.DecoratorMapper parentMapper)